# TeamForge Associations

This cookbook is created specifically for usage by CollabNet
TeamForge customers who also use Chef for the purpose of deploying
artifacts.  Such customers can use this cookbook to report to
CollabNet's TeamForge about the deployment done using Chef.

This cookbook depends on chef_handler cookbook and creates a
custom handler for the purpose of reporting to CollabNet's
TeamForge.

## Usage

In order to use this cookbook it needs to be wrapped over by
the deployment cookbook, all it's parameters set accordingly in
the deployment cookbook's attributes file and the below recipe
set to run immediately after the recipe that does the actual
deployment.

    teamforge-associations::alldetails

Modify the deployment recipe to notify the above recipe with
action 'enable'.

## Parameters

The following are the paremeters needed for the recipe mentioned
above.

data_bag
========

Defines the name of the Chef Data Bag that contains the traceability
parameters.  NOTE: Omit this parameter if you are providing
'nexus_artifact_url' parameter.

nexus_artifact_url
==================

Defines the artifact's url in Nexus which will be deployed.
NOTE: Omit this parameter if you are providing 'data_bag' parameter.

ctf_url, ctf_user, orc_server, orc_user, orc_src_assoc_key, orc_queue_name
==========================================================================

These parameters are specific to CollabNet's TeamForge.

secret_path
===========

The path to the encryption key on the nodes to be used for decrypting
entries in the Data Bag named 'passwords'.
