#
# Cookbook Name:: teamforge-associations
# Recipe:: alldetails
#
# Copyright (c) 2015 The Authors, All Rights Reserved.

include_recipe 'chef_handler'
include_recipe 'build-essential::default'

gem_package 'bunny'

include_recipe 'nokogiri::chefgem'

chef_gem 'teamforge'
chef_gem 'rest-client'

cookbook_file "#{node['chef_handler']['handler_path']}/detailed_report.rb" do
  source 'handlers/detailed_report.rb'
  owner 'root'
  group 'root'
  mode '0755'
  action :create
end

traceability_env_vars = node['teamforge-associations']['alldetails']['data_bag'] ? data_bag_item(node['teamforge-associations']['alldetails']['data_bag'], node.name) : nil
password_secret = Chef::EncryptedDataBagItem.load_secret(node['teamforge-associations']['passwords']['secret_path'])
orc_data_bag_item = Chef::EncryptedDataBagItem.load('passwords', 'orc_password', password_secret)
ctf_data_bag_item = Chef::EncryptedDataBagItem.load('passwords', 'ctf_password', password_secret)

chef_handler 'CustomHandler::AllDetails' do
  arguments [:node_name => node.name,
    :ctf_url => node['teamforge-associations']['alldetails']['ctf_url'],
    :ctf_user => node['teamforge-associations']['alldetails']['ctf_user'],
    :ctf_pass => ctf_data_bag_item['password'],
    :schema_name => node['teamforge-associations']['alldetails']['schema_name'],
    :schema_id => node['teamforge-associations']['alldetails']['schema_id'],
    :schema_version => node['teamforge-associations']['alldetails']['schema_version'],
    :api_version => node['teamforge-associations']['alldetails']['api_version'],
    :orc_url => node['teamforge-associations']['alldetails']['orc_url'],
    :server => node['teamforge-associations']['alldetails']['orc_server'],
    :user => node['teamforge-associations']['alldetails']['orc_user'],
    :src_assoc_key =>node['teamforge-associations']['alldetails']['orc_src_assoc_key'],
    :password => orc_data_bag_item['password'],
    :queue_name => node['teamforge-associations']['alldetails']['orc_queue_name'],
    :src_url => node['teamforge-associations']['alldetails']['nexus_artifact_url'],
    :associated_remote_id => traceability_env_vars ? traceability_env_vars['associated_remote_id'] : traceability_env_vars]
  source "#{node['chef_handler']['handler_path']}/detailed_report.rb"
  action :nothing
  supports :report => true
end
